# 54. Consulta: obtener datos vectoriales desde "SoilDataset"

Consulta para obtener datos originales de "SoilDataset" como geojson con atributos y geometrías (como puntos/multipuntos/polígonos/multipolígonos dependiendo del tipo de geometría cargada).

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta ReadSoilDatasetSource{
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      soilDatasets(soilDatasetUuids: ["<placeholder_of_soildataset_uuid>"]) {
        vectorDataGeojson
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/54.-consulta-obtener-datos-vectoriales-desde-soildataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
